#!/bin/sh
# shutdown script for Raspberry Pi
# watch LOW level on pin 5 to enter sleep mode

import sys
sys.path.append('/storage/.kodi/addons/python.RPi.GPIO/lib')


import RPi.GPIO as GPIO
import os
import time

# use the pin number as on the raspi board

GPIO.setmode(GPIO.BCM)

# set pin: 27 is output, 17 is input with pull up resistor
GPIO.setup(27, GPIO.OUT)
GPIO.output(27, True)
GPIO.setup(17, GPIO.IN, pull_up_down=GPIO.PUD_UP)

# start the loop for every .5 seconds, waiting for LOW on pin 17

while True:
    	if not (GPIO.input(17)):
                GPIO.output(27, False)
            	os.system("shutdown -h now")
    	time.sleep(.5)

